html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh; 
}

main {
    flex: 1; 
}

.hero-home { 
    background-image: url(../img/banner2.jpg);
    background-size: cover;
    background-position: center center;
    height: 80vh;
}

.cards {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1.5rem;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-radius: .75rem;
  overflow: hidden;
  max-width: 300px;
  min-height: 400px;
  background: #fff;
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.card .card-img-top {
  width: 100%;
  max-height: 100px; 
  object-fit: contain;
  background: #f8f9fa;
  padding: 6px;
}

.personaje {
  max-width: 150px; 
  height: auto;
  display: block;
  margin: 0 auto;
}

.card .card-body {
  display: flex;
  flex-direction: column;
  gap: .25rem;
}

.card .card-title {
  font-size: 1.1rem;
  margin-bottom: .25rem;
  min-height: 2.4em;
}

.card .btn {
  margin-top: auto;
}


#addTohome {
  position: fixed;
  bottom: 20px;
  right: 20px;

  width: 64px;
  height: 64px;

  background: #000;       
  color: #fff;

  display: none;          
  border-radius: 50%;

  /* *** CENTRAR PERFECTO *** */
  display: flex;
  align-items: center;
  justify-content: center;

  font-size: 1.5rem;       
  cursor: pointer;

  box-shadow: 0 6px 16px rgba(0,0,0,0.3);
  z-index: 1000;
}

#addTohome:hover {
  transform: scale(1.05);
}




/* Si querés que en mobile sea un poco más grande */
@media (max-width: 768px) {
  #addTohome {
    width: 72px;
    height: 72px;
    font-size: 1rem;
  }
}



@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

@media (max-width: 768px) {
  h2 { font-size: 1.5rem; }
  .card-title { font-size: 1rem; }
  .cards { gap: 1rem; }
}

@media (max-width: 480px) {
  #searchInput { width: 100%; margin-bottom: 10px; }
}

@media (min-width: 1200px) {
  .cards .card { max-width: 300px; }
}
